%define upstream_name    HTML-Selector-XPath
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    CSS Selector to XPath compiler
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
HTML::Selector::XPath is a utility function to compile CSS2 selector to the
equivalent XPath expression.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 368097
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 302403
- update to 0.15

* Wed Jan 25 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 200885
- update to 0.14

* Sat Nov 26 2011 kharec <kharec> 0.120.0-1.mga2
+ Revision: 172142
- update to 0.12

* Sat Nov 05 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 163576
- update to 0.11

* Fri Oct 14 2011 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 154774
- update to 0.08

* Wed Mar 09 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 66963
- update to 0.07

* Tue Feb 22 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 56607
- update to 0.06

* Tue Jan 18 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 22459
- cleaning spec file
- imported package perl-HTML-Selector-XPath

